package com.ssj.service.kmt.dto;


import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2018/11/30
 */
public class JuniorHighData implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 会员卡id
	 */
    private String vipId;
	/**
	 * 讲义id
	 */
	private String courseId;
	/**
	 * 课程主题
	 */
	private String courseTheme;
	/**
	 * 教学内容
	 */
	private String teachingContent;
	/**
	 * 教学目标
	 */
	private String teachingGoal;
	/**
	 * 题目相关数据
	 */
	private List<JuniorHighSubData> list;
	
	/**
	 * 教材版本
	 */
	private String type;
	
	/**
	 * 能力级别
	 */
	private String level;
	
	/**
	 * 平均难度
	 */
	private Integer diffi;
	
	/**
	 * 较难
	 */
	private String hard;
	
	/**
	 * 较易
	 */
	private String easy;
	/**
	 * 生成的讲义
	 */
	private String html;

	/**
	 * 是否保存为模板
	 */
	private int isSaveTemplate;

	/**
	 * 模板数据
	 */
	private String templateData;

	/**
	 * 模板名称
	 */
	private String templateName;

	/**
	 * 上下册
	 */
	private int semester;
	/**
	 * 1：一对一备课，2：小组备课
	 */
	private int courseType;
	/**
	 * 科目
	 */
	private String courseName;
	/**
	 * 学有所获
	 */
	private String gain;

	public String getGain() {
		return gain;
	}

	public void setGain(String gain) {
		this.gain = gain;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getLevel() {
		return level;
	}

	public void setLevel(String level) {
		this.level = level;
	}

	public Integer getDiffi() {
		return diffi;
	}

	public void setDiffi(Integer diffi) {
		this.diffi = diffi;
	}

	public String getHard() {
		return hard;
	}

	public void setHard(String hard) {
		this.hard = hard;
	}

	public String getEasy() {
		return easy;
	}

	public void setEasy(String easy) {
		this.easy = easy;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getCourseId() {
		return courseId;
	}

	public void setCourseId(String courseId) {
		this.courseId = courseId;
	}

	public String getCourseTheme() {
		return courseTheme;
	}

	public void setCourseTheme(String courseTheme) {
		this.courseTheme = courseTheme;
	}

	public String getTeachingContent() {
		return teachingContent;
	}

	public void setTeachingContent(String teachingContent) {
		this.teachingContent = teachingContent;
	}

	public String getTeachingGoal() {
		return teachingGoal;
	}

	public void setTeachingGoal(String teachingGoal) {
		this.teachingGoal = teachingGoal;
	}

	public List<JuniorHighSubData> getList() {
		return list;
	}

	public void setList(List<JuniorHighSubData> list) {
		this.list = list;
	}

	public String getHtml() {
		return html;
	}

	public void setHtml(String html) {
		this.html = html;
	}

	public int getIsSaveTemplate() {
		return isSaveTemplate;
	}

	public void setIsSaveTemplate(int isSaveTemplate) {
		this.isSaveTemplate = isSaveTemplate;
	}

	public String getTemplateData() {
		return templateData;
	}

	public void setTemplateData(String templateData) {
		this.templateData = templateData;
	}

	public String getTemplateName() {
		return templateName;
	}

	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}

	public int getSemester() {
		return semester;
	}

	public void setSemester(int semester) {
		this.semester = semester;
	}

	public int getCourseType() {
		return courseType;
	}

	public void setCourseType(int courseType) {
		this.courseType = courseType;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
}
